### Method

# GLib Tree node_first

since: 2.68

#### Declaration [src]

    GTreeNode*
    g_tree_node_first (
      GTree* tree
    )

#### Description [src]

Returns the first in-order node of the tree, or `NULL` for an empty tree.

Available since: 2.68

#### Return value

Type: `GTreeNode`

The first node in the tree.

The returned data is owned by the instance.
The return value can be `NULL`.